<?php

namespace App\Services\Parsers;

use App\Contracts\ArticleParserInterface;

class VrtArticleParser implements ArticleParserInterface
{
    public function canParse(string $url): bool
    {
        return str_contains($url, 'vrt.be');
    }

    public function extractData(string $html): array
    {
        return VrtArticlePageParser::extractData($html);
    }

    public function getSourceName(): string
    {
        return 'VRT News';
    }
}
